Page MenuHomePhabricator

Enable Diffusion in phabricator.wikimedia.org for everybody
Closed, ResolvedPublic

Description

Diffusion, the application for hosting and browsing repositories, has been tested in phabricator.wikimedia.org, it works, and some repositories have been imported here. Currently it is usable and visible only to administrators.

When should we enable it for everybody? (View:Public, Use:AllUsers) There are two options.

  1. We should enable it now. It's a nice feature to have, allows to link tasks with commits [1], and quickly shows how Phabricator dominates over Bugzilla.
  2. We should wait a few weeks. There will be enough to digest jumping from Bugzilla to Phabricator.

We need a short-term decision. Opinions are welcomed.

[1] Example: T881#20752, just imagine that "Restricted Commit" is a link to the commit in Diffusion.

Event Timeline

Qgil created this task.Nov 17 2014, 5:09 PM
Qgil raised the priority of this task from to Normal.
Qgil updated the task description. (Show Details)
Qgil changed Security from none to None.
Qgil moved this task from To Triage to Need discussion on the Phabricator board.
Qgil added subscribers: Qgil, Aklapper, Jdforrester-WMF and 5 others.

I'd recommend enabling now; it's already been hugely useful in kicking of the discussion (bikeshedding?) about repo naming, and having the commit merges and task comments all in one feed (see https://phabricator.wikimedia.org/p/Jdforrester-WMF/ if you're an administrator or otherwise have access to Diffusion).

Qgil assigned this task to demon.Nov 17 2014, 9:06 PM

We have just agreed in our team meeting that Diffusion can be made publicly visible right now, before the Bugzilla migration.

We should enable it now. It's a nice feature to have, allows to link tasks with commits [1], and quickly shows how Phabricator dominates over Bugzilla.

This will contribute to the import of more code repositories, helping the Gitblit-Deprecate agenda, and pointing the developers attention and hopefully help in the direction of the Gerrit-Migration project.

A key aspect here is that @chad and @Jdforrester-WMF can lead this way both deploying the feature and taking care of related discussions and support. The Phabricator team is also interested, and I'm sure we will help out of genuine personal interest, but as everybody may understand, our hands are quite full these days before and right after the Bugzilla migration.

In addition to enabling Diffusion, please document it briefly in mw:Phabricator/Help, so we have a place to point users wondering what is it and what are they supposed to do with it (if anything).

Qgil moved this task from Need discussion to Ready to Go on the Phabricator board.Nov 17 2014, 9:06 PM
demon closed this task as Resolved.Nov 18 2014, 4:53 PM

This is now set to Public, all existing repositories are set Public. Diffusion group has been archived.

Note we're not going to import any more repos until we've settled on the callsign naming conventions.

demon added a comment.Nov 18 2014, 4:53 PM

And initial docs were added to Phabricator/Help on mw.org

demon moved this task from In Progress to Done on the Gitblit-Deprecate board.Nov 18 2014, 7:34 PM
Restricted Application added a subscriber: scfc. · View Herald TranscriptSep 24 2015, 11:35 PM
Restricted Application added a subscriber: Luke081515. · View Herald TranscriptJan 11 2016, 10:57 PM